• 0
Авторизация  
Ra72

Проблема взаимодействия XE8 и Xcode 7

Вопросы

Добрый вечер!

Обновился iOS до версии 9.0.1 на стендовом девайсе и я, по обыкновению, обновил Xcode.

Добавил iPhoneOS9.0.sdk. Первый запуск в режиме платформы iOS Device выявил что не подгрузились библиотеки *.dylib.

При обновлении кеша они все равно не прогружаются.

Решил запустить на симуляторе, но и тут меня настигло разочарование. Секция Target не обновляется по списку симуляторов Xcode.

Значит ли это, что Xcode 7.0 не совместим с Delphi XE8 ?

Поможет ли мне откат назад, на Xcode 6.X ?

 

Если выхода нет, то вопрос представителям Embarcadero (или другим опытным бизнесменам) - каким образом мне выйти из следующей ситуации:

Delphi XE8, был куплен под проект 2 месяца назад. В бюджет проекта была заложена сумма покупки.

Я за 2 месяца не успел закончить проект и Delphi уже потерял актуальность для разработки под iOS.

Подскажите пожалуйста, какие основания мне предъявить заказчику для увеличения бюджета проекта и покупки Delphi 10 ?

 

P.S. ну не на 1С же обратно переползать?!

Изменено пользователем Ra72

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

7 ответов на этот вопрос

  • 0

Установил XCode 6.4. Приложение не запускается на стендовом iOS девайсе. Xcode пишет что версия iOS не поддерживается.

На симуляторе работает.

Изменено пользователем Ra72

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Насколько я знаю, последняя версия RAD Studio поддерживает пока только максимум iOS 8.4. На iOS симуляторе выполняется x86 код, а на реальном девайсе ARM код. Это всё и объясняет. Если у Вас на девайсе iOS 9, то Delphi приложение вряд ли будет работать. Код для симулятора генерируется корректно, а вот конечный для ARM нет. Вам нужно собрать приложение с использованием iOS SDK 8.4.

Изменено пользователем Pulsarius

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Подскажите пожалуйста, какие основания мне предъявить заказчику для увеличения бюджета проекта и покупки Delphi 10 ?

 

попросите скидку на upgrade до Seatlle 10!

может пойдут на встречу и скинут пару десятков тысяч.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

То есть это правда, что несовместимы версии ?

Откатил iOS до 8.4.1. Apple еще и запрещает до более ранних откатывать.

Скидка - не вариант, буду теперь за проекты брать по рынку, учитывая риски.

Изменено пользователем Ra72

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0

Резюме: не надо обновлять iOS на стендовом девайсе, а если нечаянно обновили, то с перепрошивкой обратно не тяните, они запрещаются Apple-ом.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
  • 0
буду теперь за проекты брать по рынку, учитывая риски.

 

а раньше демпинговали что-ли?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

Авторизация  

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу